{% extends 'base.html.twig' %} {% block title %}Welcome to my BD Library {% if app.user %} {{ app.user.username}} {% endif %} !{% endblock %} {% block body %}
<header>
    {% if app.user %}
    <h2 class="text-center mt-2">Nice to see you again {{ app.user.username}} !</h2>
    {% else %}
    <h2 class="text-center mt-2">Welcome Anonymous user !</h2>
    <h3 class="text-center mt-2">Create an account to have all access ? <a class="btn btn-lg btn-primary text-warning" href="{{ path('register')}}">Register</a></h3>
    <h3 class="text-center mt-2">Already have an account ? <a class="btn btn-lg btn-primary text-success" href="{{ path('login')}}">Login</a></h3>
    {% endif %}
</header>

<main class="container-fluid">
    <div class="row justify-content-center">
        {% for bd in bds %}
        <div class="card text-white bg-primary mb-2 mr-2" style="max-width: 20rem;">
            <div class="card-header">{{ bd.title }}</div>
            <div class="card-body" style="background: url('{{ bd.imgPath }} contains')">
                <h4 class="card-title">Written by {{ bd.author }}</h4>
                <h6 class="card-subtitle text-muted">in {{bd.parution|date("m/d/Y") }}</h6>
                <p class="card-text">{{ bd.description }}</p>
            </div>
        </div>
        {% endfor %}</div>
</main>




{% endblock %}